Index: doc/src/sgml/ref/psql-ref.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/ref/psql-ref.sgml,v
retrieving revision 1.203
diff -c -r1.203 psql-ref.sgml
*** doc/src/sgml/ref/psql-ref.sgml	8 May 2008 17:04:26 -0000	1.203
--- doc/src/sgml/ref/psql-ref.sgml	12 May 2008 21:56:59 -0000
***************
*** 1867,1876 ****
  
  
        <varlistentry>
!        <term><literal>\timing</literal></term>
          <listitem>
          <para>
!          Toggles a display of how long each SQL statement takes, in milliseconds.
          </para>
         </listitem>
        </varlistentry>
--- 1867,1879 ----
  
  
        <varlistentry>
!        <term><literal>\timing </literal> [<replaceable
! class="parameter">ON</replaceable> | <replaceable
! class="parameter">OFF</replaceable>] </term>
          <listitem>
          <para>
!          Without parameter, toggles a display of how long each SQL
! statement takes, in milliseconds.  With parameter, sets same.
          </para>
         </listitem>
        </varlistentry>
Index: src/bin/psql/command.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/bin/psql/command.c,v
retrieving revision 1.188
diff -c -r1.188 command.c
*** src/bin/psql/command.c	8 May 2008 17:04:26 -0000	1.188
--- src/bin/psql/command.c	12 May 2008 21:57:01 -0000
***************
*** 884,890 ****
  	/* \timing -- toggle timing of queries */
  	else if (strcmp(cmd, "timing") == 0)
  	{
! 		pset.timing = !pset.timing;
  		if (!pset.quiet)
  		{
  			if (pset.timing)
--- 884,895 ----
  	/* \timing -- toggle timing of queries */
  	else if (strcmp(cmd, "timing") == 0)
  	{
! 		char	   *value = psql_scan_slash_option(scan_state,
! 												   OT_NORMAL, NULL, false);
! 		if (value)
! 		   pset.timing = ParseVariableBool(value);
! 		else
! 			pset.timing = !pset.timing;
  		if (!pset.quiet)
  		{
  			if (pset.timing)
